Bug 389201 - No X display on via VT8623 Apollo CLE266 CastleRock [NEEDINFO]
No X display on via VT8623 Apollo CLE266 CastleRock
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-18 05:18 EST by Dave Russell
Modified: 2010-06-28 06:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:29:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (drussell)


Attachments (Terms of Use)
xorg.conf file used (743 bytes, text/plain)
2007-11-18 05:18 EST, Dave Russell
no flags Details
xorg.log from machine with no X display (37.50 KB, text/plain)
2007-11-18 05:20 EST, Dave Russell
no flags Details
xorg.log when using openchrome xorg log file (51.49 KB, text/plain)
2007-11-26 03:47 EST, Dave Russell
no flags Details
xorg log file when adding Option "EnableAGPDMA" "false" to the xorg.conf file (50.85 KB, text/plain)
2007-11-26 04:11 EST, Dave Russell
no flags Details
vbemodes set to true (18.54 KB, text/plain)
2007-11-26 12:35 EST, Dave Russell
no flags Details
Log files and xorg.confs. (37.54 KB, application/x-gzip)
2007-11-27 11:42 EST, Eelco Hoekema
no flags Details
xorg.conf.20071127-01 from the archive in comment 15 (841 bytes, text/plain)
2007-11-27 18:04 EST, Matěj Cepl
no flags Details
xorg.conf.20071127-02 from the archive in comment 15 (848 bytes, text/plain)
2007-11-27 18:04 EST, Matěj Cepl
no flags Details
xorg.conf.20071127-03 from the archive in comment 15 (847 bytes, text/plain)
2007-11-27 18:04 EST, Matěj Cepl
no flags Details
xorg.conf.20071127-04 from the archive in comment 15 (976 bytes, text/plain)
2007-11-27 18:04 EST, Matěj Cepl
no flags Details
Xorg.0.log.20071127-01 from the archive in comment 15 (43.60 KB, text/plain)
2007-11-27 18:04 EST, Matěj Cepl
no flags Details
Xorg.0.log.20071127-02 from the archive in comment 15 (70.63 KB, text/plain)
2007-11-27 18:04 EST, Matěj Cepl
no flags Details
Xorg.0.log.20071127-03 from the archive in comment 15 (67.98 KB, text/plain)
2007-11-27 18:05 EST, Matěj Cepl
no flags Details
Xorg.0.log.20071127-04 from the archive in comment 15 (43.95 KB, text/plain)
2007-11-27 18:05 EST, Matěj Cepl
no flags Details
X log ( no more problems) (65.75 KB, text/plain)
2007-11-28 17:19 EST, Eelco Hoekema
no flags Details
xorg.conf with mode fixed (no autodetect) (995 bytes, text/plain)
2007-12-01 03:53 EST, Dave Russell
no flags Details
xorg log file with mode fixed (52.97 KB, text/plain)
2007-12-01 03:54 EST, Dave Russell
no flags Details
xorg.conf used with F11 (788 bytes, text/plain)
2009-06-08 02:52 EDT, Dave Russell
no flags Details
xorg.conf used with F11 with openchrome settings (788 bytes, text/plain)
2009-06-08 02:55 EDT, Dave Russell
no flags Details
xorg logfile generated when xorg.conf used in F11 with openchrome settings (32.45 KB, text/plain)
2009-06-08 02:57 EDT, Dave Russell
no flags Details
xorg logfile generated when no xorg.conf exists (37.46 KB, text/plain)
2009-06-08 02:59 EDT, Dave Russell
no flags Details

  None (edit)
Description Dave Russell 2007-11-18 05:18:40 EST
Description of problem:
No X display possible on VT8623 Apollo CLE266 CastleRock hardware. Install has
to be done in text mode. Even when manually setting driver to vesa there is no X
display.

Version-Release number of selected component (if applicable):
xorg-x11-drv-via-0.2.2-4.fc8

How reproducible:
Every time

Steps to Reproduce:
1. Install F8 (text mode only)
2. Try to start X
3. X fails to start
  
Actual results:
No display (monitor displays no signal found)

Expected results:
Should see an X display

Additional info:

lspci -vvv

01:00.0 VGA compatible controller: VIA Technologies, Inc. VT8623 [Apollo CLE266]
integrated CastleRock graphics (rev 03) (prog-if 00 [VGA])
        Subsystem: VIA Technologies, Inc. VT8623 [Apollo CLE266] integrated
CastleRock graphics
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (500ns min)
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at e8000000 (32-bit, prefetchable) [size=64M]
        Region 1: Memory at ec000000 (32-bit, non-prefetchable) [size=16M]
        [virtual] Expansion ROM at ed000000 [disabled] [size=64K]
        Capabilities: [60] Power Management version 2
                Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [70] AGP version 2.0
                Status: RQ=32 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans-
64bit- FW- AGP3- Rate=x1,x2,x4
                Command: RQ=32 ArqSz=0 Cal=0 SBA+ AGP+ GART64- 64bit- FW- Rate=x4
Comment 1 Dave Russell 2007-11-18 05:18:40 EST
Created attachment 262771 [details]
xorg.conf file used
Comment 2 Dave Russell 2007-11-18 05:20:43 EST
Created attachment 262781 [details]
xorg.log from machine with no X display

This is the xorg.log from the machine when typing "init 5", waiting a minute or
two and then typing "init 3".

The screen goes blank, and the monitor flashes "no signal".
Comment 4 Dave Russell 2007-11-26 03:46:00 EST
I have also tried the xorg-x11-drv-openchrome-0.2.900-7.fc8 driver,
unfortunately also to no avail.

xorg.log file will be attached.

I have not tried the option below yet...

Option "EnableAGPDMA" "false"
Comment 5 Dave Russell 2007-11-26 03:47:28 EST
Created attachment 268611 [details]
xorg.log when using openchrome xorg log file
Comment 6 Dave Russell 2007-11-26 04:11:24 EST
Created attachment 268631 [details]
xorg log file when adding Option "EnableAGPDMA" "false" to the xorg.conf file
Comment 7 Jon Nettleton 2007-11-26 08:24:40 EST
Looks like your monitor isn't giving out usefull DDC information and doesn't
like the generic fallback Modes we choose.  Can you please post your xorg.conf
and CRT type?  This should be a simple case of setting up a monitor entry in
your xorg.conf that generates better hsync and vrefesh ranges.
Comment 8 Dave Russell 2007-11-26 09:28:18 EST
Monitor type is a 17" TFT... It's been in continuous linux use since about
Fedora 5 time and each release inbetween, with a variety of DVI and VGA
connections... Currently using DVI.

Will drag out the exact make/model when I can get someone to put eyeballs on it.

Xorg.conf shown below:

# Xorg configuration created by pyxf86config

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "gb"
EndSection

Section "Device"
        Identifier  "Videocard0"
        Driver      "openchrome"
        Option "EnableAGPDMA" "false"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
        EndSubSection
EndSection
Comment 9 Jon Nettleton 2007-11-26 09:40:36 EST
Ah okay now this is starting to make sense.  Does your motherboard have a DVI
daughterboard, or are you using a VGA to DVI cable or converter?
Comment 10 Dave Russell 2007-11-26 09:48:39 EST
Neither, DVI connection on the rear of the motherboard, DVI cable to DVI input
on monitor.

Can't speak for any weirdness that might be onboard the motherboard, but it
doesn't appear to be VGA converter onboard... motherboard only has a DVI connection.
Comment 11 Jon Nettleton 2007-11-26 10:04:57 EST
Add

option "VBEModes" "true" 

to your device section in xorg.conf.  Our DVI support is a little weak, but I
think that should get you up and running.
Comment 12 Dave Russell 2007-11-26 12:35:10 EST
Created attachment 269111 [details]
vbemodes set to true

Still no luck so far, but at least a more defined error this time.

xorg.log attached
Comment 13 Eelco Hoekema 2007-11-26 16:45:01 EST
I have the same problem with Fedora8 on a Ebox 3854
(http://www.compactpc.com.tw/ebox-3854.htm)

The strange thing is that at firstboot, the X server works fine. (Also after
rebooting.)

Adding the VBEModes option didn't help. 

Monitor is a 19" IIyama VisionMaster Pro 454 (HM903DT).
Comment 14 Jon Nettleton 2007-11-26 17:21:30 EST
okay well let's try some manual configuration.

1) comment out the VBEModes line.

2) Add your monitor's manual setup to xorg.conf

Section "Monitor"
        Identifier   "Monitor0"
        ModelName    "Iiyama HM903DT, VisionMaster Pro 454"
        HorizSync    30.0 - 132.0
        VertRefresh  45.0 - 200.0
        Option      "dpms"
EndSection

3)  Add this to your Section "Screen" 

Monitor    "Monitor0"

This should give you the full range of resolutions for your display.

If you are still getting a blank screen try manually adding resolutions to the
Screen section of your xorg.conf

Basically add something like this under 

Depth   24
Modes    "1280x1024"


Report back.
Comment 15 Eelco Hoekema 2007-11-27 11:42:43 EST
Created attachment 269901 [details]
Log files and xorg.confs.
Comment 16 Eelco Hoekema 2007-11-27 11:43:09 EST
OK, that got me started. What happened was that the screen would build up (not
too fast) over and over again, until i ended up with a blue screen. Apparently,
the computer had fallen back into runlevel 3, as i could type reboot and enter
to reboot. I could not restart a terminal with ctrl-alt-f2. The log shows some
interesting lines (to pick a few):
(II) VIA(0): Not using default mode "1024x768" (no clock available for mode)
(II) VIA(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) VIA(0): Not using default mode "512x384" (bad mode clock/interlace/doublescan)
(II) VIA(0): Not using default mode "576x432" (bad mode clock/interlace/doublescan)
(II) VIA(0): Not using default mode "1280x960" (insufficient memory for mode)
(II) VIA(0): Not using default mode "640x480" (bad mode clock/interlace/doublescan)
(II) VIA(0): Not using default mode "1280x960" (insufficient memory for mode)

See files xorg.conf.20071127-01 and Xorg.0.log.20071127-01.

Second step was with the Modes lines included, with the same result.
See files xorg.conf.20071127-02 and Xorg.0.log.20071127-02.

Step 3, i tried the openchrome drivers mentioned by Dave.
The log file still has the same kind of errors, but at least the session could
be started now. (Yippee!)
See files *20071127-03.

In step 4, from within my Gnome session i changed back to the via driver by
using system-config-display, and I changed to a 1024x768 resolution. Now it
works more or less, albeit that the refresh rate seems a bit low (not sure, but
my eyes are not enjoying the view).
See files *20071127-04.
Comment 17 Jon Nettleton 2007-11-27 12:10:07 EST
can you please repost your log files.  I am unable to extract the archive your
posted previously.
Comment 18 Matěj Cepl 2007-11-27 18:04:09 EST
Created attachment 270471 [details]
xorg.conf.20071127-01 from the archive in comment 15
Comment 19 Matěj Cepl 2007-11-27 18:04:17 EST
Created attachment 270481 [details]
xorg.conf.20071127-02 from the archive in comment 15
Comment 20 Matěj Cepl 2007-11-27 18:04:27 EST
Created attachment 270491 [details]
xorg.conf.20071127-03 from the archive in comment 15
Comment 21 Matěj Cepl 2007-11-27 18:04:35 EST
Created attachment 270501 [details]
xorg.conf.20071127-04 from the archive in comment 15
Comment 22 Matěj Cepl 2007-11-27 18:04:44 EST
Created attachment 270511 [details]
Xorg.0.log.20071127-01 from the archive in comment 15
Comment 23 Matěj Cepl 2007-11-27 18:04:55 EST
Created attachment 270521 [details]
Xorg.0.log.20071127-02 from the archive in comment 15
Comment 24 Matěj Cepl 2007-11-27 18:05:05 EST
Created attachment 270531 [details]
Xorg.0.log.20071127-03 from the archive in comment 15
Comment 25 Matěj Cepl 2007-11-27 18:05:15 EST
Created attachment 270541 [details]
Xorg.0.log.20071127-04 from the archive in comment 15
Comment 26 Matěj Cepl 2007-11-27 18:06:12 EST
I managed to unpack the archive. You don't have to repost anything.
Comment 27 Jon Nettleton 2007-11-27 18:31:30 EST
okay.  First off I really can't help you too much with the via driver that
ships.  That driver is a mess.  Please stick with the openchrome driver for
debugging purposes.

If you just switch back to the openchrome driver in xorg.conf the screen should
start fine at 1024x768 resolution.  After you have logged into your gnome
session use the screen resolution preferences to adjust the resolution and
refresh rate.
Comment 28 Adam Jackson 2007-11-28 11:10:45 EST
Mass migration: via -> openchrome.
Comment 29 Xavier Bachelot 2007-11-28 16:43:06 EST
please retry with xorg-x11-drv-openchrome. This is the successor to
xorg-x11-drv-via. As stated in comment #11, you will need to have :
 option "VBEModes"
in your conf.
Comment 30 Dave Russell 2007-11-28 16:50:58 EST
If you check comment #12 you'll see that I've already tried the VBEModes setting.
Comment 31 Eelco Hoekema 2007-11-28 17:19:36 EST
Created attachment 271851 [details]
X log ( no more problems)

I switched back to the openchrome driver at 1024x768, and everything seems fine
now. Thanks a lot, and good luck to you Dave.

(I included the log file just in case.)
Comment 32 Xavier Bachelot 2007-11-28 17:28:23 EST
(In reply to comment #30)
> If you check comment #12 you'll see that I've already tried the VBEModes setting.

Sorry, I read thru the bug report too fast, I though it was still with the via
driver. I'm afraid you'll have to wait for upstream to have DVI support outside
of just the VBE trick.

(In reply to comment #31)
> Created an attachment (id=271851) [edit]
> X log ( no more problems)
> 
> I switched back to the openchrome driver at 1024x768, and everything seems fine
> now. Thanks a lot, and good luck to you Dave.
> 
> (I included the log file just in case.)

Thanks for testing.
Comment 33 Dave Russell 2007-11-28 17:44:01 EST
No problem, thanks for the action.

There was a suggestion that using both the VBEModes trick and forcing a
resolution etc, that might work... I will be back and hands on with this at the
weekend so will be able to try that approach then.
Comment 34 Dave Russell 2007-12-01 03:53:10 EST
Created attachment 274651 [details]
xorg.conf with mode fixed (no autodetect)

Still no display, once X is started the display goes black and never returns
until reboot, even changing to runlevel 3 does not bring the console back.

Rebooting is the only way to see the console again.

ssh etc continues to work.
Comment 35 Dave Russell 2007-12-01 03:54:18 EST
Created attachment 274661 [details]
xorg log file with mode fixed

xorg log file with fixed mode
Comment 36 Dave Russell 2007-12-01 03:59:59 EST
Minor update, following a reboot I can now return to runlevel 3 to recover the
console... still no X display but at least now my console access is still visible!
Comment 37 Bug Zapper 2008-05-13 23:56:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 38 Dave Russell 2008-08-03 17:27:30 EDT
xorg-x11-drv-openchrome-0.2.902-7.fc9.i386

X still broken on this hardware....
Comment 39 Dave Russell 2008-11-26 19:20:50 EST
OK, so I'm now coming back round and trying this again with F10, initial tests suggest it's all still b0rked.

Logs, config files, and workarounds to follow. Updated version in bug to F10.
Comment 40 Jóhann B. Guðmundsson 2009-01-06 08:17:28 EST
Could you update to the latest version, retest and report back to see if this still remains an issue for you.

You can get the latest update from here.

http://koji.fedoraproject.org/koji/packageinfo?packageID=5229

Thank you.
Comment 41 Peter Zubaj 2009-03-20 16:37:11 EDT
I had problem with openchrome. It can not start X (always fails with error " not using default mode "1024x768" (unknown reason)"). I found problem in via_mode.c in function ViaPanelGetIndex. There is code like this:

for (i = 0; i < VIA_BIOS_NUM_PANEL; i++)
	        DEBUG(xf86DrvMsg(pScrn->scrnIndex, X_INFO, "ViaPanelGetIndex:"
	                         "Match Debug: %d == %d)\n", pBIOSInfo->Panel->NativeModeIndex,
	                         lcdTable[i].fpSize));
	        if (lcdTable[i].fpSize == pBIOSInfo->Panel->NativeModeIndex) {
	            int modeNum, tmp;

As you can see "for" is executed only for DEBUG statement (and not next "if" - there are missing { after for and befor DEBUG - and } at end. indent is ok, but code not). After removing row with DEBUG, driver started working.

for (.....)
     DEBUG();
     if (..) {
           ....
     }


Should be changed to

for (.....) {
     DEBUG();
     if (..) {
           ....
     }
}
Comment 42 Xavier Bachelot 2009-03-21 17:57:33 EDT
(In reply to comment #41)
Thanks for the report, this is now fixed upstream, and a new package for F-10 is on its way to updates-testing.
However, I think this is different from the initial bug report. Even with this fixed, there still no DVI daughterboard support in the driver.
Comment 43 Dave Russell 2009-06-07 05:19:23 EDT
Updating bug for the new F11 release (preview plus all rawhide to date).

Still no display.

xorg-x11-drv-openchrome-0.2.903-10.fc11.i586

Will push updated logs and xorg.conf next.

Current xorg options:
VBEModes false
EnableAGPDMA false
Comment 44 Dave Russell 2009-06-07 05:20:15 EDT
Unsetting need info flag.
Comment 45 Dave Russell 2009-06-08 02:52:53 EDT
Created attachment 346821 [details]
xorg.conf used with F11
Comment 46 Dave Russell 2009-06-08 02:55:52 EDT
Created attachment 346823 [details]
xorg.conf used with F11 with openchrome settings
Comment 47 Dave Russell 2009-06-08 02:57:54 EDT
Created attachment 346824 [details]
xorg logfile generated when xorg.conf used in F11 with openchrome settings
Comment 48 Dave Russell 2009-06-08 02:59:32 EDT
Created attachment 346825 [details]
xorg logfile generated when no xorg.conf exists
Comment 49 Matěj Cepl 2009-11-05 13:18:58 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 50 Matěj Cepl 2010-02-26 07:17:16 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 51 Bug Zapper 2010-04-27 07:49:43 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 52 Bug Zapper 2010-06-28 06:29:24 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.